xine-lib: post_plugin_goom_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
post_plugin_goom_s Struct Reference

## Data Fields
post_plugin_t | post
xine_video_port_t * | vo_port
post_out_t | video_output
post_class_goom_t * | class
metronom_t * | metronom
PluginInfo * | goom
int | data_idx
signed short int | data [2][512]
audio_buffer_t | buf
int | channels
int | sample_rate
int | samples_per_frame
int | width_back
int | height_back
double | ratio
int | csc_method
int | do_samples_skip
int | left_to_read
yuv_planes_t | yuv
rgb2yuy2_t * | rgb2yuy2
int | skip_frame
int | benchmark_frames
int | benchmark_min
int | benchmark_time

## Field Documentation

## ◆ benchmark_frames

int post_plugin_goom_s::benchmark_frames

## ◆ benchmark_min

int post_plugin_goom_s::benchmark_min

## ◆ benchmark_time

int post_plugin_goom_s::benchmark_time

## ◆ buf

audio_buffer_t post_plugin_goom_s::buf

## ◆ channels

int post_plugin_goom_s::channels

## ◆ class

post_class_goom_t* post_plugin_goom_s::class

## ◆ csc_method

int post_plugin_goom_s::csc_method

## ◆ data

signed short int post_plugin_goom_s::data[2][512]

## ◆ data_idx

int post_plugin_goom_s::data_idx

## ◆ do_samples_skip

int post_plugin_goom_s::do_samples_skip

## ◆ goom

PluginInfo* post_plugin_goom_s::goom

## ◆ height_back

int post_plugin_goom_s::height_back

## ◆ left_to_read

int post_plugin_goom_s::left_to_read

## ◆ metronom

metronom_t* post_plugin_goom_s::metronom

## ◆ post

post_plugin_t post_plugin_goom_s::post

## ◆ ratio

double post_plugin_goom_s::ratio

## ◆ rgb2yuy2

rgb2yuy2_t* post_plugin_goom_s::rgb2yuy2

## ◆ sample_rate

int post_plugin_goom_s::sample_rate

## ◆ samples_per_frame

int post_plugin_goom_s::samples_per_frame

## ◆ skip_frame

int post_plugin_goom_s::skip_frame

## ◆ video_output

post_out_t post_plugin_goom_s::video_output

## ◆ vo_port

xine_video_port_t* post_plugin_goom_s::vo_port

## ◆ width_back

int post_plugin_goom_s::width_back

## ◆ yuv

yuv_planes_t post_plugin_goom_s::yuv

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/xine_goom.c